# Oracle EBS Connector #

## Business Events demo ##

### Introduction ###
This is minimalistic a demo that will allow you to receive a message from the Business Events topic in Oracle EBS.

### How to run the demo ###
#### Prerequisites ####
In order to run this demo project you will need:

* Anypoint Studio with Mule ESB 3.7 EE Runtime or greater.
* Oracle EBS Connector v4.0.0.
* Oracle E-Business Suite instance v12.1.x.
* Database credentials for the instance.

## Import the project

* Go to **File > Import**
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio")

![Menu](images/import_menu.png)

* Provide the root path to the demo project folder.
* Select Mule Runtime (3.7.x EE).

![File Selection](images/import_file.png)

* Click **Finish**.  
* Set your EBS credentials inside the file `src/main/app/mule-app.properties`.

```
db.username=<database username>
db.password=<database password>
db.host=<database hostname>
db.port=<database port>
db.sid=<database SID>
```
* Inside the Global Elements view, double-click the _OracleEBS: JMS_Configuration_ component. Load both required dependencies (aqapi.jar and ojdbc6.jar). Click "Test Connection".

![Test Connection](images/config_connection.png)

 * A successful message should pop-up.

![Test Connection](images/config_connection_success.png)

* If you see an error message, check if the following can resolve your problem:

    1. **`Unsupported major/minor version 51.0`**: it indicates that you are running with a 1.6 JRE. Ensure that you are running with Java 1.7 and restart Studio.
    2. **`java.lang.NoClassDefFoundError` or `java.lang.ClassNotFoundException`**: make sure that you have loaded the required external libraries, **Oracle AQ API (aqapi.jar)** and **Oracle Database JDBC Drivers (ojdbc6.jar)**.

> For further information, refer to the [Oracle EBS Connector Documentation Guide](https://docs.mulesoft.com/mule-user-guide/v/3.8/oracle-ebs-connector-user-guide).

* Select **Run as Mule Application**. You should see the demo application deployed.

* Check the Mule Application log. You will see the messages as they arrive from the topic.

![Workflow Demo](images/import_demo.png)

#### About the flows ####

**BusinessEventsFlow :** This flow is subscribed to the topic and will log messages as soon as they arrive from it.

![Flow BusinessEventsFlow](images/flow_BusinessEventsFlow.png)
